Rendre compatible php3 en php4? [Résolu/Fermé]

Signaler
Messages postés
37
Date d'inscription
mercredi 7 mars 2007
Statut
Membre
Dernière intervention
17 janvier 2009
-
Messages postés
37
Date d'inscription
mercredi 7 mars 2007
Statut
Membre
Dernière intervention
17 janvier 2009
-
Bonjour,

mon hébergeur de site vient de m'informer de l'arrêt d'éxecution de script php3 et me dit qu'il faut que je les rendent compatibles php4.
Le problème c'est que le script php3 que j'utilise, ce n'est pas moi qui l'ai concu, je l'ai récupérer sur le net.

Ma question: comment faire pour le rendre compatible php4?
Y'a t'il une manière simple de faire çà?

5 réponses

Messages postés
6764
Date d'inscription
mardi 14 mai 2002
Statut
Contributeur
Dernière intervention
11 janvier 2016
891
salut,

le plus simple à mon avis c'est de les tester.
si tu n'as pas beaucoup de code et que les algos sont simples il y a de fortes chances pour que tout fonctionne.
reste plus qu'à savoir comment désactiver php3, dans 'php.ini' je suppose…
Bonjour,
1) regarde les URL de tes fichiers en php3.
S'ils sont en .php3, renommes les en .php
Fait la recherche de .php3 et change les en .php dans toutes les pages egalement.
Ensuite verifie toutes les fonctions de ton site.
Normalement de php3 vers php4 tu devrais pas avoir plus de probleme que ca.
Ah oui, regarde bien si tu as des <? ou <?php car si tu as <?php3 ca risque de buguer.
Messages postés
37
Date d'inscription
mercredi 7 mars 2007
Statut
Membre
Dernière intervention
17 janvier 2009

Donc il suffirait juste de changer l'extension .php3 en .php et de changer toutes les URL associées également? Il n'y a rien à changer dans le script alors?
Messages postés
6764
Date d'inscription
mardi 14 mai 2002
Statut
Contributeur
Dernière intervention
11 janvier 2016
891
regarde les changements, c'est mieux que je pensais : il ne doit rien y avoir qui concerne ton code !

donc change les extensions et les balises (mets '<?php', php5 l'exige je crois !) et ça devrait amplement suffire !
Messages postés
37
Date d'inscription
mercredi 7 mars 2007
Statut
Membre
Dernière intervention
17 janvier 2009

Impec! J'ai changé les extensions ainsi que les URL et ça marche impec! A moi de voir ensuite car mon hébergeur arrête le php3 à partir du 21 novembre.

Merci beaucoup à tout les deux :D